Bug 208517 - error in /etc/udev/rules.d/50-ipaq.rules
error in /etc/udev/rules.d/50-ipaq.rules
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: synce (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-28 21:30 EDT by Tom Horsley
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-11 04:27:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2006-09-28 21:30:57 EDT
Description of problem:

I see udev boot errors go past that mention ipaq.rules and I
find this in /var/log/messages:
Sep 28 20:36:34 zooty udevd[3359]: add_to_rules: invalid DRIVER operation
Sep 28 20:36:34 zooty udevd[3359]: add_to_rules: invalid rule
'/etc/udev/rules.d/50-ipaq.rules:1'
Sep 28 20:36:34 zooty udevd[3359]: add_to_rules: invalid DRIVER operation
Sep 28 20:36:34 zooty udevd[3359]: add_to_rules: invalid rule
'/etc/udev/rules.d/50-ipaq.rules:1'
Sep 28 20:37:20 zooty udevd[3359]: add_to_rules: invalid DRIVER operation
Sep 28 20:37:20 zooty udevd[3359]: add_to_rules: invalid rule
'/etc/udev/rules.d/50-ipaq.rules:1'
Sep 28 20:37:20 zooty udevd[3359]: add_to_rules: invalid DRIVER operation
Sep 28 20:37:20 zooty udevd[3359]: add_to_rules: invalid rule
'/etc/udev/rules.d/50-ipaq.rules:1'

(Not sure why there are so many copies of the same error, maybe something
reads the specs 4 times during boot).


Version-Release number of selected component (if applicable):

Not sure, don't have the system booted so can't rpm -q. It is
a fully up to date fc6t3 system as of the date in the log above.

The yum log from the update I did just before rebooting says:

Sep 28 20:35:03 (yumex) Updated: udev.x86_64 095-10

How reproducible:

I see it every time I boot

Steps to Reproduce:
1. boot
2. watch error scroll past
Comment 1 Harald Hoyer 2006-09-29 02:50:37 EDT
/etc/udev/rules.d/50-ipaq.rules is not part of the udev component, reassign to
the correct component or close this bug!

Hint: 
$ rpm -qfi /etc/udev/rules.d/50-ipaq.rules
Comment 2 Tom Horsley 2006-09-29 17:52:20 EDT
I can't find the component in the list it will let me choose from :-).

The rpm command results in:

zooty> rpm -qfi /etc/udev/rules.d/50-ipaq.rules
Name        : synce                        Relocations: (not relocatable)
Version     : 0.9.1                             Vendor: Fedora Project
Release     : 8.fc6                         Build Date: Fri Sep 15 09:25:19 2006
Install Date: Sat Sep 16 19:08:04 2006      Build Host:
hammer2.fedora.phx.redhat.com
Group       : Applications/Communications   Source RPM: synce-0.9.1-8.fc6.src.rpm
Size        : 367960                           License: MIT
Signature   : DSA/SHA1, Sat Sep 16 07:21:20 2006, Key ID 82ed95041ac70ce6
Packager    : Fedora Project <http://bugzilla.redhat.com/bugzilla>
URL         : http://synce.sourceforge.net/
Summary     : Serial connection support for Pocket PC devices
Description :
The purpose of the SynCE project is to provide a means of
communication with a Windows CE device from a computer running Linux,
FreeBSD or a similar operating system. The SynCE project homepage is
available here: http://synce.sourceforge.net/

Not sure exactly what dragged it in synce. It appears to be expecting
a driver named "ipaq" to exist.
Comment 3 Harald Hoyer 2006-09-30 05:00:51 EDT
Source RPM: synce-0.9.1-8.fc6.src.rpm

This is a Fedora Extras package...

Note You need to log in before you can comment on or make changes to this bug.